import { SfdxCommand } from '@salesforce/command';
import { ForceGeneratorAdapter } from '@salesforce/templates/lib/utils';
import { CreateOutput } from '@salesforce/templates/lib/utils/types';
import { AnyJson } from '@salesforce/ts-types';
import * as yeomanGenerator from 'yeoman-generator';
export declare abstract class TemplateCommand extends SfdxCommand {
    static buildJson(adapter: ForceGeneratorAdapter, targetDir: string): CreateOutput;
    private static aggregator?;
    private static getConfigAggregator;
    static getDefaultApiVersion(): string;
    static getApiVersion(): Promise<string>;
    private static API_VERSION;
    static getCustomTemplates(): Promise<string | undefined>;
    abstract run(): Promise<AnyJson>;
    runGenerator(generator: yeomanGenerator.GeneratorConstructor): Promise<{}>;
}
